#pragma once

#include "Effect.h"

class SturmEffect : public Effect
{
private:
    Richtung r;

public:
    SturmEffect( Spieler *zSpieler, Richtung r );
    ~SturmEffect();
    bool istSpielerBeweglich( Richtung r ) override;
    bool istSpielerVerwundbar( Richtung r ) override;
    void move( double time ) override;
    bool tick( double time, Spiel *zSpiel ) override;
    bool istGegenstandErlaubt( GegenstandTyp typ ) override;
};
