#include "BosheitRune.h"
#include "Spieler.h"


BosheitRuneEffect::BosheitRuneEffect( Spieler *zSpieler )
    : Effect( zSpieler, 75.f + ( 75.f / 100.f ) * zSpieler->getAbklingZeitVerringerung() )
{
    zSpieler->setSchadenBonus( zSpieler->getSchadenBonus() + 7 );
    zSpieler->setLebensRaub( zSpieler->getLebensRaub() + 3 );
}

BosheitRuneEffect::~BosheitRuneEffect()
{
    zSpieler->setSchadenBonus( zSpieler->getSchadenBonus() - 7 );
    zSpieler->setLebensRaub( zSpieler->getLebensRaub() - 3 );
}