#include "LebenRune.h"
#include "Spieler.h"


LebenRuneEffect::LebenRuneEffect( Spieler *zSpieler )
    : Effect( zSpieler, 75.f + ( 75.f / 100.f ) * zSpieler->getAbklingZeitVerringerung() )
{
    zSpieler->setLebensRegeneration( zSpieler->getLebensRegenneration() + 10 );
}

LebenRuneEffect::~LebenRuneEffect()
{
    zSpieler->setLebensRegeneration( zSpieler->getLebensRegenneration() - 10 );
}